Skip to main content
POST
/
api
/
deployments
curl -X POST https://console.rotastellar.com/api/deployments \
  -H "Content-Type: application/json" \
  -H "Cookie: session=..." \
  -d '{
    "plan_id": "abc-123",
    "speed_multiplier": 100
  }'
{
  "id": "dep-456",
  "status": "pending"
}
Base URL: https://console.rotastellar.com — Requires session cookie or API key authentication.

Request

plan_id
string
required
The ID of the plan to deploy. The plan must belong to the authenticated user.
speed_multiplier
number
Simulation speed for simulated deployments. Default: 100. A value of 100 means a 90-minute orbit plays in ~1 minute.
curl -X POST https://console.rotastellar.com/api/deployments \
  -H "Content-Type: application/json" \
  -H "Cookie: session=..." \
  -d '{
    "plan_id": "abc-123",
    "speed_multiplier": 100
  }'
{
  "id": "dep-456",
  "status": "pending"
}

Status Lifecycle

After creation, the deployment status transitions:
StatusMeaning
pendingCreated, waiting to start
dispatchedAssigned to an agent (live mode)
runningAgent is executing
completedAll steps finished successfully
failedExecution failed
cancelledCancelled by user